package game.locations.elevatorBack;

import game.locations.Location;

import game.locations.Interactive;

class ElevatorBack extends Location {
  public function new() {
    super();

    id = 'elevatorBack';

    addBmpLayer('bg');

    var back = new Interactive(['Задняя стенка лифта. Ничего интересного']);
    back.initBitmap(bmpPath('back'));
    back.x = Math.floor((Main.SCREEN_WIDTH - back.width) / 2);
    addChild(back);

    downLocation = game.locations.elevatorStoppedDoors.ElevatorStoppedDoors;
    leftLocation = game.locations.elevatorStoppedInside.ElevatorStoppedInside;
  }
}
